[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# GetGraphicClassForFileExtension

Gets the TGraphicClass instance used for images with the specified file extension.

## Declaration

Source position: graphics.pp line 1921

`function GetGraphicClassForFileExtension(`
`const FileExt: string`
`):TGraphicClass;`

## Arguments

`FileExt` |  | File extension used to determine the TGraphicClass for an image format.

## Function result

TGraphicClass descendant for the image format.